org.springframework.data.web.config

## Class HateoasAwareSpringDataWebConfiguration

- java.lang.Object
- - org.springframework.data.web.config.SpringDataWebConfiguration
  - - org.springframework.data.web.config.HateoasAwareSpringDataWebConfiguration

All Implemented Interfaces:
  Aware, BeanClassLoaderAware, WebMvcConfigurer

    @Configuration(proxyBeanMethods=false)
    public class HateoasAwareSpringDataWebConfiguration
    extends SpringDataWebConfiguration

JavaConfig class to register `PagedResourcesAssembler` and `PagedResourcesAssemblerArgumentResolver`.

Since:
  1.6
Author:
  Oliver Gierke, Nick Williams, Ben Hale, Vedran Pavic, Mark Paluch, Greg Turnquist

### Constructor Summary

Constructors
Constructor and Description
`HateoasAwareSpringDataWebConfiguration(ApplicationContext context, ObjectFactory<ConversionService> conversionService)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addArgumentResolvers(List<HandlerMethodArgumentResolver> argumentResolvers)`
`HateoasPageableHandlerMethodArgumentResolver` `pageableResolver()`
`PagedResourcesAssembler<?>` `pagedResourcesAssembler()`
`PagedResourcesAssemblerArgumentResolver` `pagedResourcesAssemblerArgumentResolver()`
`HateoasSortHandlerMethodArgumentResolver` `sortResolver()`

### Methods inherited from class org.springframework.data.web.config.SpringDataWebConfiguration

`addFormatters, customizePageableResolver, customizeSortResolver, extendMessageConverters, setBeanClassLoader`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.springframework.web.servlet.config.annotation.WebMvcConfigurer

`addCorsMappings, addInterceptors, addResourceHandlers, addReturnValueHandlers, addViewControllers, configureAsyncSupport, configureContentNegotiation, configureDefaultServletHandling, configureHandlerExceptionResolvers, configureMessageConverters, configurePathMatch, configureViewResolvers, extendHandlerExceptionResolvers, getMessageCodesResolver, getValidator`

### Constructor Detail

#### HateoasAwareSpringDataWebConfiguration

    public HateoasAwareSpringDataWebConfiguration(ApplicationContext context,
                                                  @Qualifier(value="mvcConversionService")
                                                  ObjectFactory<ConversionService> conversionService)

Parameters:
  `context` - must not be null.
  `conversionService` - must not be null.

### Method Detail

#### pageableResolver

    @Bean
    public HateoasPageableHandlerMethodArgumentResolver pageableResolver()

Overrides:
  `pageableResolver` in class `SpringDataWebConfiguration`

#### sortResolver

    @Bean
    public HateoasSortHandlerMethodArgumentResolver sortResolver()

Overrides:
  `sortResolver` in class `SpringDataWebConfiguration`

#### pagedResourcesAssembler

    @Bean
    public PagedResourcesAssembler<?> pagedResourcesAssembler()

#### pagedResourcesAssemblerArgumentResolver

    @Bean
    public PagedResourcesAssemblerArgumentResolver pagedResourcesAssemblerArgumentResolver()

#### addArgumentResolvers

    public void addArgumentResolvers(List<HandlerMethodArgumentResolver> argumentResolvers)

Specified by:
  `addArgumentResolvers` in interface `WebMvcConfigurer`
Overrides:
  `addArgumentResolvers` in class `SpringDataWebConfiguration`